> For the complete documentation index, see [llms.txt](https://docs.paveapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paveapi.com/integrations/developer-docs/callbacks/update-an-existing-callback.md).

# PUT Update a Callback

```
https://openapi.paveapi.com/v1/callbacks/:event
```

This endpoint allows you to update a previously created callback for your requesting API Key.

| Headers             |        |                                                    |
| ------------------- | ------ | -------------------------------------------------- |
| **`API-Key`**       | string | The API-Key that was provided for your account     |
| **`API-Token`**     | string | The API-Token used when the session was created    |
| **`API-Timestamp`** | string | UTC Datetime string, example: 2021-05-30T12:49:19Z |

| Path Parameters | Type   | Description                                                                                                                   |
| --------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------- |
| **`event`**     | string | Input one of the Supported Events, view [the list here](/integrations/developer-docs/callbacks.md#supported-callback-events). |

| Body Parameters          | Type   | Description                                                                |
| ------------------------ | ------ | -------------------------------------------------------------------------- |
| **`url`**                | string | Your callback Endpoint URL to receive the events                           |
| **`method`** (optional)  | string | The method to be used, POST is the default if not provided                 |
| **`headers`** (optional) | string | Enter the authentication headers to be included (API key, token)           |
| **`payload`** (optional) | string | Attributes to send along with the default payload for the Supported Events |

#### Sample Response (200: Ok)

```
{
    "api_key": "<your_request_api_key>",
    "event": "SESSION:STAGE_CHANGE",
    "url": "https://your_sms_callback_url",
    "method": "POST",
    "headers": {
        "Authorization": "Bearer <jwt_token>"
    },
    "payload": {
        "source": "PAVE", // additional attributes to pass along; setting on create callback
    }
}
```

#### Sample Response (400: Bad Request)

```
{
    "message": "Missing required fields."
}
```

#### Sample Response (404: Not Found)

```
{
    "api_key": "<your_request_api_key",
    "message": "Your API Key does not have callback setting for the event :event."
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paveapi.com/integrations/developer-docs/callbacks/update-an-existing-callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
